SWFButton->__construct
SWFButton->setDown
SWFButton
PHP Manual

# SWFButton->setAction

(PHP 4 >= 4.0.5)

SWFButton->setAction — Sets the action

### Description

SWFButton
void setAction ( SWFAction `$action` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Sets the action to be performed when the button is clicked.

This is a shortcut for SWFButton->addAction called with the `SWFBUTTON_MOUSEUP` flag.

### Parameters

`action`

  An SWFAction, returned by SWFAction->__construct.

### Return Values

No value is returned.

### See Also

- SWFButton->addAction
- SWFAction

SWFButton->__construct
SWFButton->setDown
SWFButton
PHP Manual